> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update voice channels for US Zone

> Update the number of Voice Channels for the US Zone. This allows your account to handle multiple simultaneous inbound calls to US numbers. Use this endpoint to increase or decrease your capacity based on expected call volume.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/voice-channels.yml patch /inbound_channels
openapi: 3.1.0
info:
  title: Telnyx Voice Channels API
  version: 2.0.0
  description: API for Voice Channels.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /inbound_channels:
    patch:
      tags:
        - Voice Channels
      summary: Update voice channels for US Zone
      description: >-
        Update the number of Voice Channels for the US Zone. This allows your
        account to handle multiple simultaneous inbound calls to US numbers. Use
        this endpoint to increase or decrease your capacity based on expected
        call volume.
      operationId: UpdateOutboundChannels
      requestBody:
        description: Voice channels update
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - channels
              properties:
                channels:
                  type: integer
                  description: The new number of concurrent channels for the account
                  example: 7
      responses:
        '200':
          description: Expected Update response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      channels:
                        type: integer
                        description: The number of channels set for the account
                        example: 7
                      record_type:
                        description: Identifies the type of the response
                        type: string
                        example: inbound_channels
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                properties:
                  errors:
                    type: array
                    items:
                      required:
                        - code
                        - title
                      properties:
                        code:
                          type: string
                        title:
                          type: string
                        detail:
                          type: string
                        source:
                          type: object
                          properties:
                            pointer:
                              description: JSON pointer (RFC6901) to the offending entity.
                              type: string
                            parameter:
                              description: >-
                                Indicates which query parameter caused the
                                error.
                              type: string
                        meta:
                          type: object
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const inboundChannel = await client.inboundChannels.update({
            channels: 7 });


            console.log(inboundChannel.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            inbound_channel = client.inbound_channels.update(
                channels=7,
            )
            print(inbound_channel.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinboundChannel, err := client.InboundChannels.Update(context.TODO(), telnyx.InboundChannelUpdateParams{\n\t\tChannels: 7,\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inboundChannel.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.inboundchannels.InboundChannelUpdateParams;

            import
            com.telnyx.sdk.models.inboundchannels.InboundChannelUpdateResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    InboundChannelUpdateParams params = InboundChannelUpdateParams.builder()
                        .channels(7L)
                        .build();
                    InboundChannelUpdateResponse inboundChannel = client.inboundChannels().update(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            inbound_channel = telnyx.inbound_channels.update(channels: 7)

            puts(inbound_channel)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $inboundChannel = $client->inboundChannels->update(channels: 7);

              var_dump($inboundChannel);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx inbound-channels update \
              --api-key 'My API Key' \
              --channels 7
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````